version: "3.9"

services:
  app:
    image: 259978085385.dkr.ecr.us-east-1.amazonaws.com/earbe:${TAG}
    ports:
      - "3000:3000"
    depends_on:
      mongo:
        condition: service_healthy
    links:
      - mongo

  mongo:
    image: mongo:4.2
    hostname: test_mongodb
    restart: always
    ports:
      - 27017:27017
    environment:
      MONGO_INITDB_DATABASE: apple_db

    volumes:
      - mongodb-data:/data/db
      - ./app/init-db.js:/docker-entrypoint-initdb.d/init-db.js
    healthcheck:
      test:
        [
          "CMD",
          "mongo",
          "--eval",
          "db.runCommand({ ping: 1 }).ok"
        ]
      interval: 30s
      timeout: 10s
      retries: 5

volumes:
  mongodb-data:
